<?php

namespace THINKAIPLUGIN\Inc;
use THINKAIPLUGIN\Inc\Abstracts\Taxonomy;

class Taxonomies extends Taxonomy {

	public static function init() {

		$labels = array(
			'name'              => _x( 'Project Category', 'wpthinkai' ),
			'singular_name'     => _x( 'Project Category', 'wpthinkai' ),
			'search_items'      => __( 'Search Category', 'wpthinkai' ),
			'all_items'         => __( 'All Categories', 'wpthinkai' ),
			'parent_item'       => __( 'Parent Category', 'wpthinkai' ),
			'parent_item_colon' => __( 'Parent Category:', 'wpthinkai' ),
			'edit_item'         => __( 'Edit Category', 'wpthinkai' ),
			'update_item'       => __( 'Update Category', 'wpthinkai' ),
			'add_new_item'      => __( 'Add New Category', 'wpthinkai' ),
			'new_item_name'     => __( 'New Category Name', 'wpthinkai' ),
			'menu_name'         => __( 'Project Category', 'wpthinkai' ),
		);
		$args   = array(
			'hierarchical'       => true,
			'labels'             => $labels,
			'show_ui'            => true,
			'show_admin_column'  => true,
			'query_var'          => true,
			'public'             => true,
			'publicly_queryable' => true,
			'rewrite'            => array( 'slug' => 'project_cat' ),
		);

		register_taxonomy( 'project_cat', 'project', $args );
		
		
		//Testimonials Taxonomy Start
		$labels = array(
			'name'              => _x( 'Testimonials Category', 'wpthinkai' ),
			'singular_name'     => _x( 'Testimonials Category', 'wpthinkai' ),
			'search_items'      => __( 'Search Category', 'wpthinkai' ),
			'all_items'         => __( 'All Categories', 'wpthinkai' ),
			'parent_item'       => __( 'Parent Category', 'wpthinkai' ),
			'parent_item_colon' => __( 'Parent Category:', 'wpthinkai' ),
			'edit_item'         => __( 'Edit Category', 'wpthinkai' ),
			'update_item'       => __( 'Update Category', 'wpthinkai' ),
			'add_new_item'      => __( 'Add New Category', 'wpthinkai' ),
			'new_item_name'     => __( 'New Category Name', 'wpthinkai' ),
			'menu_name'         => __( 'Testimonials Category', 'wpthinkai' ),
		);
		$args   = array(
			'hierarchical'       => true,
			'labels'             => $labels,
			'show_ui'            => true,
			'show_admin_column'  => true,
			'query_var'          => true,
			'public'             => true,
			'publicly_queryable' => true,
			'rewrite'            => array( 'slug' => 'testimonials_cat' ),
		);


		register_taxonomy( 'testimonials_cat', 'testimonials', $args );
		
		
		//Team Taxonomy Start
		$labels = array(
			'name'              => _x( 'Team Category', 'wpthinkai' ),
			'singular_name'     => _x( 'Team Category', 'wpthinkai' ),
			'search_items'      => __( 'Search Category', 'wpthinkai' ),
			'all_items'         => __( 'All Categories', 'wpthinkai' ),
			'parent_item'       => __( 'Parent Category', 'wpthinkai' ),
			'parent_item_colon' => __( 'Parent Category:', 'wpthinkai' ),
			'edit_item'         => __( 'Edit Category', 'wpthinkai' ),
			'update_item'       => __( 'Update Category', 'wpthinkai' ),
			'add_new_item'      => __( 'Add New Category', 'wpthinkai' ),
			'new_item_name'     => __( 'New Category Name', 'wpthinkai' ),
			'menu_name'         => __( 'Team Category', 'wpthinkai' ),
		);
		$args   = array(
			'hierarchical'       => true,
			'labels'             => $labels,
			'show_ui'            => true,
			'show_admin_column'  => true,
			'query_var'          => true,
			'public'             => true,
			'publicly_queryable' => true,
			'rewrite'            => array( 'slug' => 'team_cat' ),
		);


		register_taxonomy( 'team_cat', 'team', $args );
		
		
		
	}
	
}
