<?php
/** Array of dashicons
 * Contributed by Kevin Provance <kevin.provance@gmail.com>
 * Last updated' April 28, 2023
 *
 * @package Redux Framework
 */

defined( 'ABSPATH' ) || exit;

add_filter( 'redux/fonts/dashicons dashicons', 'redux_get_dashicons dashicons' );

/**
 * Dashicons icon set'
 *
 * @return array
 */
function redux_get_dashicons(): array {
	return array(
		'dashicons dashicons-admin-appearance',
		'dashicons dashicons-admin-collapse',
		'dashicons dashicons-admin-comments',
		'dashicons dashicons-admin-customizer',
		'dashicons dashicons-admin-generic',
		'dashicons dashicons-admin-home',
		'dashicons dashicons-admin-links',
		'dashicons dashicons-admin-media',
		'dashicons dashicons-admin-multisite',
		'dashicons dashicons-admin-network',
		'dashicons dashicons-admin-page',
		'dashicons dashicons-admin-plugins',
		'dashicons dashicons-admin-post',
		'dashicons dashicons-admin-settings',
		'dashicons dashicons-admin-site-alt',
		'dashicons dashicons-admin-site-alt2',
		'dashicons dashicons-admin-site-alt3',
		'dashicons dashicons-admin-site',
		'dashicons dashicons-admin-tools',
		'dashicons dashicons-admin-users',
		'dashicons dashicons-airplane',
		'dashicons dashicons-album',
		'dashicons dashicons-align-center',
		'dashicons dashicons-align-full-width',
		'dashicons dashicons-align-left',
		'dashicons dashicons-align-none',
		'dashicons dashicons-align-pull-left',
		'dashicons dashicons-align-pull-right',
		'dashicons dashicons-align-right',
		'dashicons dashicons-align-wide',
		'dashicons dashicons-amazon',
		'dashicons dashicons-analytics',
		'dashicons dashicons-archive',
		'dashicons dashicons-arrow-down-alt',
		'dashicons dashicons-arrow-down-alt2',
		'dashicons dashicons-arrow-down',
		'dashicons dashicons-arrow-left-alt',
		'dashicons dashicons-arrow-left-alt2',
		'dashicons dashicons-arrow-left',
		'dashicons dashicons-arrow-right-alt',
		'dashicons dashicons-arrow-right-alt2',
		'dashicons dashicons-arrow-right',
		'dashicons dashicons-arrow-up-alt',
		'dashicons dashicons-arrow-up-alt2',
		'dashicons dashicons-arrow-up-duplicate',
		'dashicons dashicons-arrow-up',
		'dashicons dashicons-art',
		'dashicons dashicons-awards',
		'dashicons dashicons-backup',
		'dashicons dashicons-bank',
		'dashicons dashicons-beer',
		'dashicons dashicons-bell',
		'dashicons dashicons-block-default',
		'dashicons dashicons-book-alt',
		'dashicons dashicons-book',
		'dashicons dashicons-buddicons-activity',
		'dashicons dashicons-buddicons-bbpress-logo',
		'dashicons dashicons-buddicons-buddypress-logo',
		'dashicons dashicons-buddicons-community',
		'dashicons dashicons-buddicons-forums',
		'dashicons dashicons-buddicons-friends',
		'dashicons dashicons-buddicons-groups',
		'dashicons dashicons-buddicons-pm',
		'dashicons dashicons-buddicons-replies',
		'dashicons dashicons-buddicons-topics',
		'dashicons dashicons-buddicons-tracking',
		'dashicons dashicons-building',
		'dashicons dashicons-businessman',
		'dashicons dashicons-businessperson',
		'dashicons dashicons-businesswoman',
		'dashicons dashicons-button',
		'dashicons dashicons-calculator',
		'dashicons dashicons-calendar-alt',
		'dashicons dashicons-calendar',
		'dashicons dashicons-camera-alt',
		'dashicons dashicons-camera',
		'dashicons dashicons-car',
		'dashicons dashicons-carrot',
		'dashicons dashicons-cart',
		'dashicons dashicons-category',
		'dashicons dashicons-chart-area',
		'dashicons dashicons-chart-bar',
		'dashicons dashicons-chart-line',
		'dashicons dashicons-chart-pie',
		'dashicons dashicons-clipboard',
		'dashicons dashicons-clock',
		'dashicons dashicons-cloud-saved',
		'dashicons dashicons-cloud-upload',
		'dashicons dashicons-cloud',
		'dashicons dashicons-code-standards',
		'dashicons dashicons-coffee',
		'dashicons dashicons-color-picker',
		'dashicons dashicons-columns',
		'dashicons dashicons-controls-back',
		'dashicons dashicons-controls-forward',
		'dashicons dashicons-controls-pause',
		'dashicons dashicons-controls-play',
		'dashicons dashicons-controls-repeat',
		'dashicons dashicons-controls-skipback',
		'dashicons dashicons-controls-skipforward',
		'dashicons dashicons-controls-volumeoff',
		'dashicons dashicons-controls-volumeon',
		'dashicons dashicons-cover-image',
		'dashicons dashicons-dashboard',
		'dashicons dashicons-database-add',
		'dashicons dashicons-database-export',
		'dashicons dashicons-database-import',
		'dashicons dashicons-database-remove',
		'dashicons dashicons-database-view',
		'dashicons dashicons-database',
		'dashicons dashicons-desktop',
		'dashicons dashicons-dismiss',
		'dashicons dashicons-download',
		'dashicons dashicons-drumstick',
		'dashicons dashicons-edit-large',
		'dashicons dashicons-edit-page',
		'dashicons dashicons-edit',
		'dashicons dashicons-editor-aligncenter',
		'dashicons dashicons-editor-alignleft',
		'dashicons dashicons-editor-alignright',
		'dashicons dashicons-editor-bold',
		'dashicons dashicons-editor-break',
		'dashicons dashicons-editor-code-duplicate',
		'dashicons dashicons-editor-code',
		'dashicons dashicons-editor-contract',
		'dashicons dashicons-editor-customchar',
		'dashicons dashicons-editor-expand',
		'dashicons dashicons-editor-help',
		'dashicons dashicons-editor-indent',
		'dashicons dashicons-editor-insertmore',
		'dashicons dashicons-editor-italic',
		'dashicons dashicons-editor-justify',
		'dashicons dashicons-editor-kitchensink',
		'dashicons dashicons-editor-ltr',
		'dashicons dashicons-editor-ol-rtl',
		'dashicons dashicons-editor-ol',
		'dashicons dashicons-editor-outdent',
		'dashicons dashicons-editor-paragraph',
		'dashicons dashicons-editor-paste-text',
		'dashicons dashicons-editor-paste-word',
		'dashicons dashicons-editor-quote',
		'dashicons dashicons-editor-removeformatting',
		'dashicons dashicons-editor-rtl',
		'dashicons dashicons-editor-spellcheck',
		'dashicons dashicons-editor-strikethrough',
		'dashicons dashicons-editor-table',
		'dashicons dashicons-editor-textcolor',
		'dashicons dashicons-editor-ul',
		'dashicons dashicons-editor-underline',
		'dashicons dashicons-editor-unlink',
		'dashicons dashicons-editor-video',
		'dashicons dashicons-ellipsis',
		'dashicons dashicons-email-alt',
		'dashicons dashicons-email-alt2',
		'dashicons dashicons-email',
		'dashicons dashicons-embed-audio',
		'dashicons dashicons-embed-generic',
		'dashicons dashicons-embed-photo',
		'dashicons dashicons-embed-post',
		'dashicons dashicons-embed-video',
		'dashicons dashicons-excerpt-view',
		'dashicons dashicons-exit',
		'dashicons dashicons-external',
		'dashicons dashicons-facebook-alt',
		'dashicons dashicons-facebook',
		'dashicons dashicons-feedback',
		'dashicons dashicons-filter',
		'dashicons dashicons-flag',
		'dashicons dashicons-food',
		'dashicons dashicons-format-aside',
		'dashicons dashicons-format-audio',
		'dashicons dashicons-format-chat',
		'dashicons dashicons-format-gallery',
		'dashicons dashicons-format-image',
		'dashicons dashicons-format-quote',
		'dashicons dashicons-format-status',
		'dashicons dashicons-format-video',
		'dashicons dashicons-forms',
		'dashicons dashicons-fullscreen-alt',
		'dashicons dashicons-fullscreen-exit-alt',
		'dashicons dashicons-games',
		'dashicons dashicons-google',
		'dashicons dashicons-googleplus',
		'dashicons dashicons-grid-view',
		'dashicons dashicons-groups',
		'dashicons dashicons-hammer',
		'dashicons dashicons-heading',
		'dashicons dashicons-heart',
		'dashicons dashicons-hidden',
		'dashicons dashicons-hourglass',
		'dashicons dashicons-html',
		'dashicons dashicons-id-alt',
		'dashicons dashicons-id',
		'dashicons dashicons-image-crop',
		'dashicons dashicons-image-filter',
		'dashicons dashicons-image-flip-horizontal',
		'dashicons dashicons-image-flip-vertical',
		'dashicons dashicons-image-rotate-left',
		'dashicons dashicons-image-rotate-right',
		'dashicons dashicons-image-rotate',
		'dashicons dashicons-images-alt',
		'dashicons dashicons-images-alt2',
		'dashicons dashicons-index-card',
		'dashicons dashicons-info-outline',
		'dashicons dashicons-info',
		'dashicons dashicons-insert-after',
		'dashicons dashicons-insert-before',
		'dashicons dashicons-insert',
		'dashicons dashicons-instagram',
		'dashicons dashicons-laptop',
		'dashicons dashicons-layout',
		'dashicons dashicons-leftright',
		'dashicons dashicons-lightbulb',
		'dashicons dashicons-linkedin',
		'dashicons dashicons-list-view',
		'dashicons dashicons-location-alt',
		'dashicons dashicons-location',
		'dashicons dashicons-lock-duplicate',
		'dashicons dashicons-lock',
		'dashicons dashicons-marker',
		'dashicons dashicons-media-archive',
		'dashicons dashicons-media-audio',
		'dashicons dashicons-media-code',
		'dashicons dashicons-media-default',
		'dashicons dashicons-media-document',
		'dashicons dashicons-media-interactive',
		'dashicons dashicons-media-spreadsheet',
		'dashicons dashicons-media-text',
		'dashicons dashicons-media-video',
		'dashicons dashicons-megaphone',
		'dashicons dashicons-menu-alt',
		'dashicons dashicons-menu-alt2',
		'dashicons dashicons-menu-alt3',
		'dashicons dashicons-menu',
		'dashicons dashicons-microphone',
		'dashicons dashicons-migrate',
		'dashicons dashicons-minus',
		'dashicons dashicons-money-alt',
		'dashicons dashicons-money',
		'dashicons dashicons-move',
		'dashicons dashicons-nametag',
		'dashicons dashicons-networking',
		'dashicons dashicons-no-alt',
		'dashicons dashicons-no',
		'dashicons dashicons-open-folder',
		'dashicons dashicons-palmtree',
		'dashicons dashicons-paperclip',
		'dashicons dashicons-pdf',
		'dashicons dashicons-performance',
		'dashicons dashicons-pets',
		'dashicons dashicons-phone',
		'dashicons dashicons-pinterest',
		'dashicons dashicons-playlist-audio',
		'dashicons dashicons-playlist-video',
		'dashicons dashicons-plugins-checked',
		'dashicons dashicons-plus-alt',
		'dashicons dashicons-plus-alt2',
		'dashicons dashicons-plus',
		'dashicons dashicons-podio',
		'dashicons dashicons-portfolio',
		'dashicons dashicons-post-status',
		'dashicons dashicons-pressthis',
		'dashicons dashicons-printer',
		'dashicons dashicons-privacy',
		'dashicons dashicons-products',
		'dashicons dashicons-randomize',
		'dashicons dashicons-reddit',
		'dashicons dashicons-redo',
		'dashicons dashicons-remove',
		'dashicons dashicons-rest-api',
		'dashicons dashicons-rss',
		'dashicons dashicons-saved',
		'dashicons dashicons-schedule',
		'dashicons dashicons-screenoptions',
		'dashicons dashicons-search',
		'dashicons dashicons-share-alt',
		'dashicons dashicons-share-alt2',
		'dashicons dashicons-share',
		'dashicons dashicons-shield-alt',
		'dashicons dashicons-shield',
		'dashicons dashicons-shortcode',
		'dashicons dashicons-slides',
		'dashicons dashicons-smartphone',
		'dashicons dashicons-smiley',
		'dashicons dashicons-sort',
		'dashicons dashicons-sos',
		'dashicons dashicons-spotify',
		'dashicons dashicons-star-empty',
		'dashicons dashicons-star-filled',
		'dashicons dashicons-star-half',
		'dashicons dashicons-sticky',
		'dashicons dashicons-store',
		'dashicons dashicons-superhero-alt',
		'dashicons dashicons-superhero',
		'dashicons dashicons-table-col-after',
		'dashicons dashicons-table-col-before',
		'dashicons dashicons-table-col-delete',
		'dashicons dashicons-table-row-after',
		'dashicons dashicons-table-row-before',
		'dashicons dashicons-table-row-delete',
		'dashicons dashicons-tablet',
		'dashicons dashicons-tag',
		'dashicons dashicons-tagcloud',
		'dashicons dashicons-testimonial',
		'dashicons dashicons-text-page',
		'dashicons dashicons-text',
		'dashicons dashicons-thumbs-down',
		'dashicons dashicons-thumbs-up',
		'dashicons dashicons-tickets-alt',
		'dashicons dashicons-tickets',
		'dashicons dashicons-tide',
		'dashicons dashicons-translation',
		'dashicons dashicons-trash',
		'dashicons dashicons-twitch',
		'dashicons dashicons-twitter-alt',
		'dashicons dashicons-twitter',
		'dashicons dashicons-undo',
		'dashicons dashicons-universal-access-alt',
		'dashicons dashicons-universal-access',
		'dashicons dashicons-unlock',
		'dashicons dashicons-update-alt',
		'dashicons dashicons-update',
		'dashicons dashicons-upload',
		'dashicons dashicons-vault',
		'dashicons dashicons-video-alt',
		'dashicons dashicons-video-alt2',
		'dashicons dashicons-video-alt3',
		'dashicons dashicons-visibility',
		'dashicons dashicons-warning',
		'dashicons dashicons-welcome-add-page',
		'dashicons dashicons-welcome-comments',
		'dashicons dashicons-welcome-learn-more',
		'dashicons dashicons-welcome-view-site',
		'dashicons dashicons-welcome-widgets-menus',
		'dashicons dashicons-welcome-write-blog',
		'dashicons dashicons-whatsapp',
		'dashicons dashicons-wordpress-alt',
		'dashicons dashicons-wordpress',
		'dashicons dashicons-xing',
		'dashicons dashicons-yes-alt',
		'dashicons dashicons-yes',
		'dashicons dashicons-youtube',
		'dashicons dashicons-editor-distractionfree',
		'dashicons dashicons-exerpt-view',
		'dashicons dashicons-format-links',
		'dashicons dashicons-format-standard',
		'dashicons dashicons-post-trash',
		'dashicons dashicons-share1',
		'dashicons dashicons-welcome-edit-page',
	);
}
