<?php
/**
 * 404 page file
 *
 * @package    WordPress
 * @subpackage Thinkai
 * @author     Template Path <admin@template_path.com>
 * @version    1.0
 */

$allowed_html = wp_kses_allowed_html( 'post' );

$bg_img   = $options->get( 'bg_image' );
$bg_img   = thinkai_set( $bg_img, 'url', THINKAI_URI . '/assets/images/backgrounds/error-page-bg.jpg' );

?>
<?php get_header('coming-soon') ;
$data = \THINKAI\Includes\Classes\Common::instance()->data( '404' )->get();
$options = thinkai_WSH()->option();
if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
?>

<section class="error-page full-height">
    <div class="error-page__bg" style="background-image: url(<?php echo esc_url($bg_img); ?>);"></div>
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="error-content text-center">
                    <div class="big-title wow fadeInDown animated" data-wow-delay="100ms"
                        data-wow-duration="1500ms">
                        <h2 data-hover="<?php if( $options->get( '404_page_title' ) ){ echo wp_kses( $options->get( '404_page_title' ), true ); }else{ esc_html_e( '404', 'thinkai' ); } ?>">
                        	<?php 
								if( $options->get( '404_page_title' ) ){
									echo wp_kses( $options->get( '404_page_title' ), true );
								}else{
									esc_html_e( '404', 'thinkai' );
								}
							?>
                        </h2>
                    </div>
                    <div class="title wow fadeInDown animated" data-wow-delay="100ms" data-wow-duration="1500ms">
                        <h2>
                        <?php 
							if( $options->get( '404_page_tagline' ) ){
								echo wp_kses( $options->get( '404_page_tagline' ), true );
							}else{
								esc_html_e( 'Page not found', 'thinkai' );
							}
						?>
                        </h2>
                    </div>
                    <div class="text">
                        <p>
                        <?php if( $options->get( '404_page_text' ) ):?>
							<?php echo wp_kses( $options->get( '404_page_text' ), true );?>
                        <?php else:?>
                            <?php esc_html_e( 'Try refining your search or use the navigation below to return to the main home page..', 'thinkai' );?>
                        <?php endif;?>
                        </p>
                    </div>
                    <?php if (! $options->get( 'back_home_btn' ) ) : ?>
                    <div class="btns-box wow slideInUp animated" data-wow-delay="200ms"
                        data-wow-duration="1500ms">
                        <a class="btn-one" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <span class="txt">
                            <?php 
								if( $options->get( 'back_home_btn_label' ) ){
									echo wp_kses( $options->get( 'back_home_btn_label' ), true );
								}else{
									esc_html_e( 'Back to Home Page', 'thinkai' );
								}
							?>
                            </span>
                        </a>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</section>
         
<?php
}
get_footer('coming-soon') ; ?>
