<?php
/**
 * Footer Template  File
 *
 * @package THINKAI
 * @author  Template Path
 * @version 1.0
 */

$options = thinkai_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

$bg_img_v4 = $options->get( 'bg_img_v4' );
$bg_img_v4 = thinkai_set( $bg_img_v4, 'url', THINKAI_URI . '/assets/images/shapes/footer-style4__shape1.png' );

?>
    
    
    <!--Start footer Style4 -->
    <footer class="footer-style4">
        
		<?php if($bg_img_v4){ ?>
        <div class="footer-style4__bg" style="background-image: url('<?php echo esc_url($bg_img_v4); ?>');"></div>
		<?php } ?>
        
        <?php if ( is_active_sidebar( 'footer-sidebar4' ) ) { ?>
        <!--Start Footer Main-->
        <div class="footer-style4_main">
            <div class="container">
                <div class="footer-style4_main__inner">
                    <div class="row">
                        <?php dynamic_sidebar( 'footer-sidebar4' ); ?>
                    </div>
                </div>
            </div>
        </div>
        <!--End Footer Main-->
		<?php } ?>
        
        <!--Start Footer Bottom-->
        <div class="footer-style4__bottom">
            <div class="container">
                <div class="bottom-inner text-center">                    
                    <div class="footer-menu-style4">
                        <ul>
                        <?php wp_nav_menu( array( 'theme_location' => 'footer_menu', 'container_id' => 'navbar-collapse-1',
							'container_class'=>'navbar-collapse collapse navbar-right',
							'menu_class'=>'nav navbar-nav',
							'fallback_cb'=>false,
							'items_wrap' => '%3$s',
							'container'=>false,
							'depth'=>'1',
							'walker'=> new Bootstrap_walker()
						)); ?>
                        </ul>
                    </div>
                    
                    <div class="copyright-text-style3 copyright-text-style--2">
                        <ul>
                            <li>
                                <a href="#">Privacy Policy</a>
                            </li>
                            <li>
                                <a href="#">Terms</a>
                            </li>
                        </ul>
                        
						<?php if($options->get('footer_copyright_text_v4')){ ?>
                        <p><?php echo wp_kses($options->get('footer_copyright_text_v4'), true); ?></p>
                        <?php } ?>
                    </div>

                </div>
            </div>
        </div>
        <!--End Footer Bottom-->

    </footer>
    <!--End footer Style1-->
       