<?php

return array(
	'title'      => esc_html__( 'Footer Setting', 'thinkai' ),
	'id'         => 'footer_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'footer_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Footer Source Type', 'thinkai' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'thinkai' ),
				'e' => esc_html__( 'Elementor', 'thinkai' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'footer_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'thinkai' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'footer_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'footer_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Settings', 'thinkai' ),
			'required' => array( 'footer_source_type', '=', 'd' ),
		),
		array(
		    'id'       => 'footer_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Footer Styles', 'thinkai' ),
		    'subtitle' => esc_html__( 'Choose Footer Styles', 'thinkai' ),
		    'options'  => array(

			    'footer_v1'  => array(
				    'alt' => esc_html__( 'Footer Style 1', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v1.png',
			    ),
				'footer_v2'  => array(
				    'alt' => esc_html__( 'Footer Style 2', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v2.png',
			    ),
				'footer_v3'  => array(
				    'alt' => esc_html__( 'Footer Style 3', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v3.png',
			    ),
				'footer_v4'  => array(
				    'alt' => esc_html__( 'Footer Style 4', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v4.png',
			    ),
				'footer_v5'  => array(
				    'alt' => esc_html__( 'Footer Style 5', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v5.png',
			    ),
			),
			'required' => array( 'footer_source_type', '=', 'd' ),
			'default' => 'footer_v1',
	    ),
		
		
		/***********************************************************************
								Footer Version 1 Start
		************************************************************************/
		array(
			'id'       => 'footer_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style One Settings', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		array(
            'id' => 'show_top_footer_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Top Footer', 'thinkai'),
            'default' => false,
            'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
        ),
		array(
			'id'       => 'footer_shape_img_v1',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Footer BG Pattern Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert footer BG Pattern Image', 'thinkai' ),
			'required' => array( 'show_top_footer_v1', '=', true ),
		),
		array(
			'id'      => 'footer_logo_title_v1',
			'type'    => 'text',
			'title'   => __( 'Logo Title', 'thinkai' ),
			'required' => array( 'show_top_footer_v1', '=', true ),
		),
		array(
			'id'      => 'footer_user_text_v1',
			'type'    => 'textarea',
			'title'   => __( 'User Description', 'thinkai' ),
			'required' => array( 'show_top_footer_v1', '=', true ),
		),
		array(
			'id'      => 'footer_external_link_v1',
			'type'    => 'text',
			'title'   => __( 'External Link', 'thinkai' ),
			'required' => array( 'show_top_footer_v1', '=', true ),
		),
		array(
			'id'       => 'footer_newsletter_icon_image',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Form Icon Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert footer Form Icon Image', 'thinkai' ),
			'required' => array( 'show_top_footer_v1', '=', true ),
		),
		array(
			'id'      => 'footer_newsletter_title_v1',
			'type'    => 'textarea',
			'title'   => __( 'Newsletter Form Title', 'thinkai' ),
			'required' => array( 'show_top_footer_v1', '=', true ),
		),
		array(
			'id'      => 'footer_newsletter_text_v1',
			'type'    => 'textarea',
			'title'   => __( 'Newsletter Form Text', 'thinkai' ),
			'required' => array( 'show_top_footer_v1', '=', true ),
		),
		array(
			'id'      => 'footer_newsletter_form_url_v1',
			'type'    => 'text',
			'title'   => __( 'Mailchimp Form Url', 'thinkai' ),
			'required' => array( 'show_top_footer_v1', '=', true ),
		),
		array(
			'id'      => 'footer_copyright_text_v1',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		//Footer Privacy Menu
		array(
            'id' => 'show_footer_privacy_menu_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Privacy Menu', 'thinkai'),
            'default' => false,
            'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
        ),
		array(
			'id'      => 'footer_privacy_menu_v1',
			'type'    => 'textarea',
			'title'   => __( 'Privacy Menu', 'thinkai' ),
			'required' => array( 'show_footer_privacy_menu_v1', '=', true ),
		),
		
		
		/***********************************************************************
								Footer Version 1 Start
		************************************************************************/
		array(
			'id'       => 'footer_v2_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style Two Settings', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		array(
			'id'      => 'footer_copyright_text_v2',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		
		//Footer Privacy Menu
		array(
            'id' => 'show_footer_privacy_menu_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Privacy Menu', 'thinkai'),
            'default' => false,
            'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
        ),
		array(
			'id'      => 'footer_privacy_menu_v2',
			'type'    => 'textarea',
			'title'   => __( 'Privacy Menu', 'thinkai' ),
			'required' => array( 'show_footer_privacy_menu_v2', '=', true ),
		),
		
		/***********************************************************************
								Footer Version 3 Start
		************************************************************************/
		array(
			'id'       => 'footer_v3_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style Three Settings', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
		),
		//Footer Privacy Menu
		array(
            'id' => 'show_footer_privacy_menu_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Privacy Menu', 'thinkai'),
            'default' => false,
            'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
        ),
		array(
			'id'      => 'footer_privacy_menu_v3',
			'type'    => 'textarea',
			'title'   => __( 'Privacy Menu', 'thinkai' ),
			'required' => array( 'show_footer_privacy_menu_v3', '=', true ),
		),
		array(
			'id'      => 'footer_copyright_text_v3',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
		),
		//Social Icon
		array(
            'id' => 'show_footer_social_icon_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Social Icon', 'thinkai'),
            'default' => false,
            'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
        ),
		//Email address Info
		array(
            'id' => 'show_footer_email_info_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Email Address', 'thinkai'),
            'default' => false,
            'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
        ),
		array(
			'id'      => 'footer_email_title_v3',
			'type'    => 'text',
			'title'   => __( 'Email Title', 'thinkai' ),
			'required' => array( 'show_footer_email_info_v3', '=', true ),
		),
		array(
			'id'      => 'footer_email_address_v3',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'thinkai' ),
			'required' => array( 'show_footer_email_info_v3', '=', true ),
		),
		
		/***********************************************************************
								Footer Version 4 Start
		************************************************************************/
		array(
			'id'       => 'footer_v4_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style Four Settings', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v4' ),
		),
		
		//BG Image
		array(
			'id'       => 'bg_img_v4',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'BG Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert footer BG Image', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v4' ),
		),
		
		//Footer Topbar Section
		array(
            'id' => 'show_top_footer_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Footer Topbar Section', 'thinkai'),
            'default' => false,
            'required' => array( 'footer_style_settings', '=', 'footer_v4' ),
        ),
		array(
			'id'       => 'logo_img_v4',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Logo Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert footer Logo Image', 'thinkai' ),
			'required' => array( 'show_top_footer_v4', '=', true ),
		),
		array(
			'id'      => 'footer_title_v4',
			'type'    => 'textarea',
			'title'   => __( 'Title', 'thinkai' ),
			'required' => array( 'show_top_footer_v4', '=', true ),
		),
		array(
			'id'      => 'footer_contact_info_title_v4',
			'type'    => 'text',
			'title'   => __( 'Question Title', 'thinkai' ),
			'required' => array( 'show_top_footer_v4', '=', true ),
		),
		array(
			'id'      => 'footer_email_address_v4',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'thinkai' ),
			'required' => array( 'show_top_footer_v4', '=', true ),
		),
		array(
			'id'      => 'footer_button_title_v4',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'thinkai' ),
			'required' => array( 'show_top_footer_v4', '=', true ),
		),
		array(
			'id'      => 'footer_button_link_v4',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'thinkai' ),
			'required' => array( 'show_top_footer_v4', '=', true ),
		),
		array(
			'id'      => 'footer_external_link_v4',
			'type'    => 'text',
			'title'   => __( 'External Link', 'thinkai' ),
			'required' => array( 'show_top_footer_v4', '=', true ),
		),
		
		//Social Media
		array(
            'id'        => 'social_media_tabs_v2',
            'type'      => 'repeater',
            'icon' => 'el-icon-thumbs-up',
            'title'     => __('Add Social Media', 'thinkai'),
			'required' => array( 'show_top_footer_v4', '=', true ),
            'group_values' => true,
            'sortable' => true,
            'fields'    => array(
                array(
                    'id'      => 'title_social_media_v2',
                    'type'    => 'text',
                    'title'   => __('Title', 'thinkai'),
                ),
				array(
                    'id' => 'select_social_media_v2',
                    'type' => 'select',
                    'data' => get_fontawesome_icons(),
                    'title' => esc_html__('Choose Social Media', 'thinkai'),
                ),
                array(
                    'id'      => 'link_social_media_v2',
                    'type'    => 'text',
                    'title'   => __('Link', 'thinkai'),
                ),
            )
        ),
		
		//Footer Privacy Menu
		array(
            'id' => 'show_footer_privacy_menu_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Privacy Menu', 'thinkai'),
            'default' => false,
            'required' => array( 'footer_style_settings', '=', 'footer_v4' ),
        ),
		array(
			'id'      => 'footer_privacy_menu_v4',
			'type'    => 'textarea',
			'title'   => __( 'Privacy Menu', 'thinkai' ),
			'required' => array( 'show_footer_privacy_menu_v4', '=', true ),
		),
		//Copyright
		array(
			'id'      => 'footer_copyright_text_v4',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v4' ),
		),
		
		
		/***********************************************************************
								Footer Version 5 Start
		************************************************************************/
		array(
			'id'       => 'footer_v5_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style Five Settings', 'thinkai' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v5' ),
		),
		
		array(
            'id' => 'show_top_footer_v5',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Footer Topbar Section', 'thinkai'),
            'default' => false,
            'required' => array( 'footer_style_settings', '=', 'footer_v5' ),
        ),
		array(
			'id'      => 'footer_bg_title_v5',
			'type'    => 'text',
			'title'   => __( 'BG Title', 'thinkai' ),
			'required' => array( 'show_top_footer_v5', '=', true ),
		),
		array(
			'id'      => 'footer_text_v5',
			'type'    => 'textarea',
			'title'   => __( 'User Description', 'thinkai' ),
			'required' => array( 'show_top_footer_v5', '=', true ),
		),
		//Email Button
		array(
			'id'      => 'footer_email_title_v5',
			'type'    => 'text',
			'title'   => __( 'Email Button Title', 'thinkai' ),
			'required' => array( 'show_top_footer_v5', '=', true ),
		),
		array(
			'id'      => 'footer_email_address_v5',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'thinkai' ),
			'required' => array( 'show_top_footer_v5', '=', true ),
		),
		//support Chat
		array(
			'id'      => 'footer_support_title_v5',
			'type'    => 'text',
			'title'   => __( 'Chat button Title', 'thinkai' ),
			'required' => array( 'show_top_footer_v5', '=', true ),
		),
		array(
			'id'      => 'footer_support_link_v5',
			'type'    => 'text',
			'title'   => __( 'Support Button Link', 'thinkai' ),
			'required' => array( 'show_top_footer_v5', '=', true ),
		),
		
		array(
			'id'       => 'footer_default_ed',
			'type'     => 'section',
			'indent'   => false,
			'required' => [ 'footer_source_type', '=', 'd' ],
		),
	),
);
