<?php
return array(
	'title'      => esc_html__( 'Header Setting', 'thinkai' ),
	'id'         => 'headers_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'header_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Header Source Type', 'thinkai' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'thinkai' ),
				'e' => esc_html__( 'Elementor', 'thinkai' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'header_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'thinkai' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'header_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'header_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Settings', 'thinkai' ),
			'required' => array( 'header_source_type', '=', 'd' ),
		),

		//Header Settings
		array(
		    'id'       => 'header_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Header Styles', 'thinkai' ),
		    'subtitle' => esc_html__( 'Choose Header Styles', 'thinkai' ),
		    'options'  => array(

			    'header_v1'  => array(
				    'alt' => esc_html__( 'Header Style 1', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v1.png',
			    ),
			    'header_v2'  => array(
				    'alt' => esc_html__( 'Header Style 2', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v2.png',
			    ),
				'header_v3'  => array(
				    'alt' => esc_html__( 'Header Style 3', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v3.png',
			    ),
				'header_v4'  => array(
				    'alt' => esc_html__( 'Header Style 4', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v4.png',
			    ),
				'header_v5'  => array(
				    'alt' => esc_html__( 'Header Style 5', 'thinkai' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v5.png',
			    ),
			),
			'required' => array( 'header_source_type', '=', 'd' ),
			'default' => 'header_v1',
	    ),

		/***********************************************************************
								Header Version 1 Start
		************************************************************************/
		array(
			'id'       => 'header_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style One Settings', 'thinkai' ),
			'required' => array( 'header_style_settings', '=', 'header_v1' ),
		),
		
		//Header V1 Logo Style
		array(
            'id' => 'header_v1_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Logo', 'thinkai'),
            'default' => true,
			'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
			'id'       => 'header_v1_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Logo Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert site logo image', 'thinkai' ),
			'required' => array( 'header_v1_logo_show', '=', true ),
		),
		array(
			'id'       => 'header_v1_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Logo Dimentions', 'thinkai' ),
			'subtitle' => esc_html__( 'Select Logo Dimentions', 'thinkai' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'header_v1_logo_show', '=', true ),
		),
		//Header Topbar
		array(
            'id' => 'show_header_topbar_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Topbar', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
			'id'      => 'welcome_text_v1',
			'type'    => 'text',
			'title'   => __( 'Welcome Text', 'thinkai' ),
			'required' => array( 'show_header_topbar_v1', '=', true ),
		),
		
		//Get Started Button
		array(
            'id' => 'show_btn_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Get Started BTN', 'thinkai'),
            'default' => false,
            'required' => array( 'show_header_topbar_v1', '=', true ),
        ),
		array(
			'id'      => 'btn_title_v1',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'thinkai' ),
			'required' => array( 'show_btn_v1', '=', true ),
		),
		array(
			'id'      => 'btn_link_v1',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'thinkai' ),
			'required' => array( 'show_btn_v1', '=', true ),
		),
		
		//Account Button
		array(
            'id' => 'show_account_btn_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Account BTN', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
			'id'      => 'account_btn_title_v1',
			'type'    => 'text',
			'title'   => __( 'Account Button Title', 'thinkai' ),
			'required' => array( 'show_account_btn_v1', '=', true ),
		),
		array(
			'id'      => 'account_btn_link_v1',
			'type'    => 'text',
			'title'   => __( 'Account Button Link', 'thinkai' ),
			'required' => array( 'show_account_btn_v1', '=', true ),
		),
		//Search Form
		array(
            'id' => 'show_seach_form_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Form Icon', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		/***********************************************************************
								Header Version 2 Start
		************************************************************************/
		array(
			'id'       => 'header_v2_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Two Settings', 'thinkai' ),
			'required' => array( 'header_style_settings', '=', 'header_v2' ),
		),
		
		//Header V2 Logo Style
		array(
            'id' => 'header_v2_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Logo', 'thinkai'),
            'default' => true,
			'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
			'id'       => 'header_v2_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Logo Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert site logo image', 'thinkai' ),
			'required' => array( 'header_v2_logo_show', '=', true ),
		),
		array(
			'id'       => 'header_v2_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Logo Dimentions', 'thinkai' ),
			'subtitle' => esc_html__( 'Select Logo Dimentions', 'thinkai' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'header_v2_logo_show', '=', true ),
		),
		
		//Account Button
		array(
            'id' => 'show_account_btn_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Account BTN', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
			'id'      => 'account_btn_title_v2',
			'type'    => 'text',
			'title'   => __( 'Account Button Title', 'thinkai' ),
			'required' => array( 'show_account_btn_v2', '=', true ),
		),
		array(
			'id'      => 'account_btn_link_v2',
			'type'    => 'text',
			'title'   => __( 'Account Button Link', 'thinkai' ),
			'required' => array( 'show_account_btn_v2', '=', true ),
		),
		//Search Form
		array(
            'id' => 'show_seach_form_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Form Icon', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		
		/***********************************************************************
								Header Version 3 Start
		************************************************************************/
		array(
			'id'       => 'header_v3_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Three Settings', 'thinkai' ),
			'required' => array( 'header_style_settings', '=', 'header_v3' ),
		),
		
		//Header V3 Logo Style
		array(
            'id' => 'header_v3_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Logo', 'thinkai'),
            'default' => true,
			'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
			'id'       => 'header_v3_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Logo Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert site logo image', 'thinkai' ),
			'required' => array( 'header_v3_logo_show', '=', true ),
		),
		array(
			'id'       => 'header_v3_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Logo Dimentions', 'thinkai' ),
			'subtitle' => esc_html__( 'Select Logo Dimentions', 'thinkai' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'header_v3_logo_show', '=', true ),
		),
		
		//Search Form
		array(
            'id' => 'show_seach_form_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Form Icon', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		//SIdebar Icon Info
		array(
            'id' => 'show_sidebar_info_icon_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Sidebar Info Icon', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		
		//Account Button
		array(
            'id' => 'show_account_btn_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Account BTN', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
			'id'      => 'account_btn_title_v3',
			'type'    => 'text',
			'title'   => __( 'Account Button Title', 'thinkai' ),
			'required' => array( 'show_account_btn_v3', '=', true ),
		),
		array(
			'id'      => 'account_btn_link_v3',
			'type'    => 'text',
			'title'   => __( 'Account Button Link', 'thinkai' ),
			'required' => array( 'show_account_btn_v3', '=', true ),
		),
		
		
		/***********************************************************************
								Header Version 4 Start
		************************************************************************/
		array(
			'id'       => 'header_v4_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Four Settings', 'thinkai' ),
			'required' => array( 'header_style_settings', '=', 'header_v4' ),
		),
		
		//Header V4 Logo Style
		array(
            'id' => 'header_v4_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Logo', 'thinkai'),
            'default' => true,
			'required' => array( 'header_style_settings', '=', 'header_v4' ),
        ),
		array(
			'id'       => 'header_v4_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Logo Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert site logo image', 'thinkai' ),
			'required' => array( 'header_v4_logo_show', '=', true ),
		),
		array(
			'id'       => 'header_v4_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Logo Dimentions', 'thinkai' ),
			'subtitle' => esc_html__( 'Select Logo Dimentions', 'thinkai' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'header_v4_logo_show', '=', true ),
		),
		
		//Search Form
		array(
            'id' => 'show_seach_form_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Form Icon', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v4' ),
        ),
		//SIdebar Icon Info
		array(
            'id' => 'show_sidebar_info_icon_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Sidebar Info Icon', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v4' ),
        ),
		
		/***********************************************************************
								Header Version 4 Start
		************************************************************************/
		array(
			'id'       => 'header_v5_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Five Settings', 'thinkai' ),
			'required' => array( 'header_style_settings', '=', 'header_v5' ),
		),
		
		//Header V5 Logo Style
		array(
            'id' => 'header_v5_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Logo', 'thinkai'),
            'default' => true,
			'required' => array( 'header_style_settings', '=', 'header_v5' ),
        ),
		array(
			'id'       => 'header_v5_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Logo Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert site logo image', 'thinkai' ),
			'required' => array( 'header_v5_logo_show', '=', true ),
		),
		array(
			'id'       => 'header_v5_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Logo Dimentions', 'thinkai' ),
			'subtitle' => esc_html__( 'Select Logo Dimentions', 'thinkai' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'header_v5_logo_show', '=', true ),
		),
		
		//Search Form
		array(
            'id' => 'show_seach_form_v5',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Form Icon', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v5' ),
        ),
		//Sign In Button
		array(
            'id' => 'show_sign_in_btn_v5',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Sign In BTN', 'thinkai'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v5' ),
        ),
		array(
			'id'      => 'sign_in_btn_title_v5',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'thinkai' ),
			'required' => array( 'show_sign_in_btn_v5', '=', true ),
		),
		array(
			'id'      => 'sign_in_btn_link_v5',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'thinkai' ),
			'required' => array( 'show_sign_in_btn_v5', '=', true ),
		),
		
		array(
			'id'       => 'header_style_section_end',
			'type'     => 'section',
			'indent'      => false,
			'required' => [ 'header_source_type', '=', 'd' ],
		),
	),
);
