<?php

return array(

    'title'         => esc_html__( 'Sidebar Sidebar Settings', 'thinkai' ),
    'id'            => 'sidebar_setting',
    'desc'          => '',
    'icon'          => 'el el-font',
    'fields'        => array(
		
		//Sidebar Info Style
		array(
            'id' => 'sidebar_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Sidebar Logo', 'thinkai'),
            'default' => true,
		),
		array(
			'id'       => 'sidebar_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Logo Image', 'thinkai' ),
			'subtitle' => esc_html__( 'Insert site logo image', 'thinkai' ),
			'required' => array( 'sidebar_logo_show', '=', true ),
		),
		array(
			'id'       => 'sidebar_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Logo Dimentions', 'thinkai' ),
			'subtitle' => esc_html__( 'Select Logo Dimentions', 'thinkai' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'sidebar_logo_show', '=', true ),
		),
		//Main Title
		array(
			'id'      => 'sidebar_title_v1',
			'type'    => 'text',
			'title'   => __( 'Title', 'thinkai' ),
		),
		//Description
		array(
			'id'      => 'sidebar_text_v1',
			'type'    => 'textarea',
			'title'   => __( 'Text', 'thinkai' ),
		),
		//Contact Info
		array(
            'id' => 'show_sidebar_info_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Contact Info', 'thinkai'),
            'default' => false,
		),
		array(
			'id'      => 'sidebar_info_title_v1',
			'type'    => 'text',
			'title'   => __( 'Title', 'thinkai' ),
			'required' => array( 'show_sidebar_info_v1', '=', true ),
		),
		array(
			'id'      => 'sidebar_address_v1',
			'type'    => 'textarea',
			'title'   => __( 'Address', 'thinkai' ),
			'required' => array( 'show_sidebar_info_v1', '=', true ),
		),
		array(
			'id'      => 'sidebar_email_address_v1',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'thinkai' ),
			'required' => array( 'show_sidebar_info_v1', '=', true ),
		),
		array(
			'id'      => 'sidebar_phone_no_v1',
			'type'    => 'text',
			'title'   => __( 'Phone No', 'thinkai' ),
			'required' => array( 'show_sidebar_info_v1', '=', true ),
		),
		array(
			'id'      => 'sidebar_working_hours_v1',
			'type'    => 'text',
			'title'   => __( 'Working Hours', 'thinkai' ),
			'required' => array( 'show_sidebar_info_v1', '=', true ),
		),
		
		//MailChimp Form Info
		array(
            'id' => 'sidebar_mailchimp_form_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Mailchimp Form', 'thinkai'),
            'default' => false,
		),
		array(
			'id'      => 'mailchimp_form_title',
			'type'    => 'text',
			'title'   => __( 'Form Title', 'thinkai' ),
			'required' => array( 'sidebar_mailchimp_form_v1', '=', true ),
		),
		array(
			'id'      => 'mailchimp_form_url',
			'type'    => 'text',
			'title'   => __( 'Mailchimp Form Url', 'thinkai' ),
			'required' => array( 'sidebar_mailchimp_form_v1', '=', true ),
		),
		//Social Icon
		array(
            'id' => 'show_sidebar_social_icon',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Social Icons', 'thinkai'),
            'default' => false,
        ),
    ),
);

