<?php

return array(
	'title'      => esc_html__( 'Single Post Settings', 'thinkai' ),
	'id'         => 'single_post_setting',
	'desc'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'      => 'single_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Single Post Source Type', 'thinkai' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'thinkai' ),
				'e' => esc_html__( 'Elementor', 'thinkai' ),
			),
			'default' => 'd',
		),
		
		array(
			'id'       => 'single_default_st',
			'type'     => 'section',
			'title'    => esc_html__( 'Post Default', 'thinkai' ),
			'indent'   => true,
			'required' => [ 'single_source_type', '=', 'd' ],
		),
		array(
			'id'      => 'single_post_date',
			'type'    => 'switch',
			'title'   => esc_html__( 'Hide Date', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to hide post publish date on detail page', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'single_post_author',
			'type'    => 'switch',
			'title'   => esc_html__( 'Hide Author', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to hide author on detail page', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'single_post_category',
			'type'    => 'switch',
			'title'   => esc_html__( 'Hide Category', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to hide number of category on single page', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'single_post_comments',
			'type'    => 'switch',
			'title'   => esc_html__( 'Hide Comments', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to hide number of comments on single page', 'thinkai' ),
			'default' => false,
		),
		//Facebook
		array(
			'id'      => 'facebook_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Facebook Post Share', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Facebook', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'twitter_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Twitter Post Share', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Twitter', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'linkedin_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Linkedin Post Share', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Linkedin', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'pinterest_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Pinterest Post Share', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Pinterest', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'reddit_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Reddit Post Share', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Reddit', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'tumblr_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Tumblr Post Share', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Tumblr', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'digg_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Digg Post Share', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Digg', 'thinkai' ),
			'default' => false,
		),
		
		
		//Author Box
		array(
			'id'      => 'single_post_author_box',
			'type'    => 'switch',
			'title'   => esc_html__( 'Enable/Disable Author Box Info', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to show Author Box Info', 'thinkai' ),
			'default' => false,
		),
		array(
			'id'      => 'show_author_post_social_icon',
			'type'    => 'switch',
			'title'   => esc_html__( 'Enable/Disable Social Icon', 'thinkai' ),
			'desc'    => esc_html__( 'Enable to show Author Box Social Icon', 'thinkai' ),
			'default' => false,
			'required' => [ 'single_post_author_box', '=', true ],
		),
		
		array(
			'id'       => 'single_section_default_ed',
			'type'     => 'section',
			'indent'   => false,
			'required' => [ 'single_source_type', '=', 'd' ],
		),
	),
);





