<?php get_header();
$data = \THINKAI\Includes\Classes\Common::instance()->data('single-team')->get(); 
$banner_image   = $data->get( 'banner_image' );
?>

<!--Start breadcrumb Style1-->
<section class="breadcrumb-style1">
    <div id="particles-js"></div>
    <?php if( $data->get( 'banner' ) ){?><div class="breadcrumb-style1-bg" style="background-image: url(<?php echo esc_url( $data->get( 'banner' ) ); ?>);"></div><?php } ?>
    
    <!--Start Scrolling Text Style6-->
    <?php 
        $features_list = $data->get('features_list');
        if(!empty($features_list)){
        $features_list = explode("\n", ($features_list)); 
    ?>        
    <div class="scrolling-text-style6">
        <div class="inner">
            <ul class="clearfix marquee_mode">
                <?php foreach($features_list as $features): ?>
                <li data-hover="<?php echo wp_kses($features, true); ?>">
                    <?php echo wp_kses($features, true); ?>
                </li>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
    <?php } ?>
    
    <!--End Scrolling Text Style6-->
    <div class="container">
        <div class="inner-content">
            <div class="title text-center">
                <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title() ); ?></h2>
            </div>
        </div>
    </div>
</section>
<!--End breadcrumb Style1--> 

<?php 
	while (have_posts()) : the_post(); 
?>

<!--
=====================================================
    Team Details
=====================================================
-->
<!-- team-details -->
<section class="team-details">
    <div class="auto-container">
        <div class="row clearfix">
            <div class="col-lg-5 col-md-12 col-sm-12 image-column">
                <?php if(has_post_thumbnail()):?>
                <div class="image-box">
                    <figure class="image image-1"><?php the_post_thumbnail('full'); ?></figure>
                </div>
                <?php endif; ?>
            </div>
            <div class="col-lg-7 col-md-12 col-sm-12 content-column">
                <div class="content-box">
                    <h2><span><?php esc_html_e('Hi, I am', 'thinkai');?></span> <?php the_title(); ?></h2>
                    <span class="designation special-font"><?php echo (get_post_meta( get_the_id(), 'designation', true ));?></span>
                    <div class="text">
                        <?php the_content();?>                        
                    </div>
                    <div class="contact-inner">
                        <h6><?php esc_html_e('Contact me', 'thinkai');?></h6>
                        <h3><a href="mailto:<?php echo (get_post_meta( get_the_id(), 'team_email', true ));?>"><?php echo (get_post_meta( get_the_id(), 'team_email', true ));?></a></h3>
                        <?php
							$icons = get_post_meta(get_the_id(), 'social_media_tabs', true); if ($icons) : 
						?>
                        <ul class="social-links clearfix">
                        	<?php
								for ( $i=0; $i < count( $icons['select_social_media'] ); $i++ ) {
								$social_icon = ( isset( $icons['select_social_media'][$i] ) && !empty( $icons['select_social_media'][$i] ) ) ? $icons['select_social_media'][$i] : '';
								$social_link = ( isset( $icons['link_social_media'][$i] ) && !empty( $icons['link_social_media'][$i] ) ) ? $icons['link_social_media'][$i] : '';
							?>
							<li><a href="<?php echo esc_url($social_link); ?>"><i class="fa-brands fab <?php echo esc_attr(str_replace("fa ", " ", $social_icon)); ?>"></i></a></li>
							<?php } ?>
                        </ul>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- team-details end -->

<?php endwhile; ?>

<?php get_footer(); ?>