<?php

/**
 * Blog Content Template
 *
 * @package    WordPress
 * @subpackage THINKAI
 * @author     Theme Xriver
 * @version    1.0
 */

$options = thinkai_WSH()->option();
$allowed_tags = wp_kses_allowed_html('post');
global $post;

?>

<div <?php post_class(); ?>>
	
    <!--Start Blog Style1 Single Style3 -->
    <div class="blog-style1__single blog-style1__single--style3">
        <?php if(has_post_thumbnail()){ ?>
        <div class="blog-style1__single-img">
            <?php the_post_thumbnail('full'); ?>
        </div>
        <?php } ?>
        
        <div class="blog-style1__single-content">
            <div class="blog-style1__single-content-top">
                <div class="text-box">
                    <?php if( $options->get( 'blog_post_author' ) != true ){ ?>
                    <h4><?php the_author(); ?></h4>
                    <?php } ?>
                    
                    <?php if( $options->get( 'blog_post_date' ) || $options->get( 'blog_post_comments' ) != true ){ ?>
                    <ul>
                        <?php if( $options->get( 'blog_post_date' ) != true ){ ?>
                        <li>
                            <p><?php echo get_the_date(); ?></p>
                        </li>
                        <?php } ?>
                        <?php if( $options->get( 'blog_post_comments' ) != true ){ ?>
                        <li class="has_dots">
                            <span>...</span>
                            <p><?php comments_number( wp_kses(__('0 Comments' , 'thinkai'), true), wp_kses(__('01 Comment' , 'thinkai'), true), wp_kses(__('0% Comments' , 'thinkai'), true)); ?></p>
                        </li>
						<?php } ?>
                    </ul>
                    <?php } ?>
                </div>
                
                <div class="btn-box">
                    <a href="<?php echo esc_url( get_the_permalink( get_the_id() ) );?>"><span class="icon-right-arrow1"></span></a>
                </div>
            </div>
            <h2>
                <a href="<?php echo esc_url( get_the_permalink( get_the_id() ) );?>">
                    <?php the_title(); ?>
                </a>
            </h2>
            <div class="text">
                <?php the_excerpt(); ?>
            </div>
            <?php if(has_category() || $options->get( 'blog_post_category' ) != true ){ ?>
            <div class="category-box">
                <?php the_category(' '); ?>
            </div>
            <?php } ?>
        </div>
    </div>
    <!--End Blog Style1 Single Style3 -->
    
</div>