<?php
/**
 * Footer Template  File
 *
 * @package THINKAI
 * @author  Template Path
 * @version 1.0
 */

$options = thinkai_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

$footer_shape_img_v1 = $options->get( 'footer_shape_img_v1' );
$footer_shape_img_v1 = thinkai_set( $footer_shape_img_v1, 'url', THINKAI_URI . '/assets/images/shapes/our-company-info__bg.png' );

$footer_newsletter_icon = $options->get( 'footer_newsletter_icon_image' );
$footer_newsletter_icon = thinkai_set( $footer_newsletter_icon, 'url', THINKAI_URI . '/assets/images/footer/footer-v1-icon1.png' );

?>
    
    <!--Start footer Style1 -->
    <footer class="footer-style1 <?php if(! $options->get('show_top_footer_v1')) echo 'pt-0'; ?>">
        <?php if($options->get('show_top_footer_v1')){ ?>
        <!--Start Footer Top-->
        <div class="footer-top">
            <div class="container">
                <div class="row">
                    <div class="col-xl-6 col-lg-6">
                        <div class="our-company-info">
                            <?php if($footer_shape_img_v1){ ?><div class="our-company-info__bg" style="background-image: url(<?php echo esc_url($footer_shape_img_v1); ?>);"></div><?php } ?>
                            <div class="our-company-info__inner text-center">
                                <div class="footer-logo-style1">
                                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                        <span class="icon-thm-logo1"></span>
                                    </a>
                                    <h2>
                                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo wp_kses($options->get('footer_logo_title_v1'), true); ?></a>
                                    </h2>
                                </div>
                                <div class="text">
                                    <p>
                                        <?php echo wp_kses($options->get('footer_user_text_v1'), true); ?>
                                    </p>
                                </div>
                                <div class="btn-box">
                                    <a href="<?php echo esc_url($options->get('footer_external_link_v1')); ?>"><span class="icon-right-arrow1"></span></a>
                                </div>
                            </div>
                        </div>
                    </div>
    
                    <div class="col-xl-6 col-lg-6">
                        <div class="footer-widget-newsletter-box">
                            <div class="icon-box float-bob-x">
                                <img class="zoom-fade" src="<?php echo esc_url($footer_newsletter_icon); ?>" alt="<?php bloginfo( 'name' ); ?>">
                            </div>
                            <h3><?php echo wp_kses($options->get('footer_newsletter_title_v1'), true); ?></h3>
                            <p><?php echo wp_kses($options->get('footer_newsletter_text_v1'), true); ?></p>
                            <?php echo do_shortcode($options->get('footer_newsletter_form_url_v1')); ?>
                        </div>
                    </div>
    
                </div>
            </div>
        </div>
        <!--End Footer Top-->
    	<?php } ?>
        
		<?php if ( is_active_sidebar( 'footer-sidebar' ) ) { ?>
        <!--Start Footer Main-->
        <div class="footer-main">
            <div class="container">
                <div class="row">
                	<?php dynamic_sidebar( 'footer-sidebar' ); ?>    
                </div>
            </div>
        </div>
        <!--End Footer Main-->
    	<?php } ?>
        
        <!--Start Footer Bottom-->
        <?php if( $options->get('footer_copyright_text_v1') || $options->get('show_footer_privacy_menu_v1') ){ ?>
        <div class="footer-bottom">
            <div class="container">
                <div class="bottom-inner">
                    <?php if($options->get('footer_copyright_text_v1')){ ?>
                    <div class="copyright-text">
                        <p><?php echo wp_kses($options->get('footer_copyright_text_v1'), true); ?></p>
                    </div>
                    <?php } ?>
                    
                    <?php if($options->get('show_footer_privacy_menu_v1')){ ?>
                    <div class="footer-menu">
                        <ul>
                        	<?php echo wp_kses($options->get('footer_privacy_menu_v1'), true); ?>
                        </ul>
                    </div>
                    <?php } ?>
                </div>
            </div>
        </div>
        <?php } ?>
        <!--End Footer Bottom-->
    </footer>
    <!--End footer Style1-->