<?php
/**
 * Footer Template  File
 *
 * @package THINKAI
 * @author  Template Path
 * @version 1.0
 */

$options = thinkai_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

$bg_img_v4 = $options->get( 'bg_img_v4' );
$bg_img_v4 = thinkai_set( $bg_img_v4, 'url', THINKAI_URI . '/assets/images/shapes/footer-style4__shape1.png' );

$logo_img_v4 = $options->get( 'logo_img_v4' );
$logo_img_v4 = thinkai_set( $logo_img_v4, 'url', THINKAI_URI . '/assets/images/footer/footer-logo-2.png' );

?>
    
    
    <!--Start footer Style4 -->
    <footer class="footer-style4">
        
		<?php if($bg_img_v4){ ?>
        <div class="footer-style4__bg" style="background-image: url('<?php echo esc_url($bg_img_v4); ?>');"></div>
		<?php } ?>
        
        <?php if($options->get('show_top_footer_v4')){ ?>
        <!--Start Footer Main-->
        <div class="footer-style4_main">
            <div class="container">
                <div class="footer-style4_main__inner">
                    <div class="row">
                        
                        <div class="col-xl-8">
                            <div class="footer-style4_main-content">
                                <div class="footer-style4_main-content__inner">
                                    <?php if($logo_img_v4){ ?>
                                    <div class="footer-logo-style3">
                                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                            <img src="<?php echo esc_url($logo_img_v4); ?>" alt="<?php bloginfo( 'name' ); ?>">
                                        </a>
                                    </div>
                                    <?php } ?>
                                    
                                    <h2><?php echo wp_kses($options->get('footer_title_v4'), true); ?></h2>
                                    <div class="contact-info">
                                        <p><?php echo wp_kses($options->get('footer_contact_info_title_v4'), true); ?></p>
                                        <h3>
                                            <a class="email" href="mailto:<?php echo esc_attr($options->get('footer_email_address_v4')); ?>"><?php echo wp_kses($options->get('footer_email_address_v4'), true); ?></a>
                                            <span><?php esc_html_e('[or]', 'thinkai'); ?></span>
                                            <a class="faq-btn" href="<?php echo esc_url($options->get('footer_button_link_v4')); ?>">
                                                <span class="icon-right-arrow1"></span> <?php echo wp_kses($options->get('footer_button_title_v4'), true); ?>
                                            </a>
                                        </h3>
                                    </div>
                                </div>
                                <?php if($options->get('footer_external_link_v4')){ ?>
                                <div class="footer-style4_main-content__outer">
                                    <a href="<?php echo esc_url($options->get('footer_external_link_v4')); ?>"><span class="icon-right-arrow1"></span></a>
                                </div>
                                <?php } ?>
                            </div>
                        </div>
						<?php
							$icons_v2 = $options->get('social_media_tabs_v2'); 
							if ($icons_v2) : 
						?>
                        <div class="col-xl-4">
                            <div class="footer-social-link-style4">
                                <ul>
                                    <?php
										for ( $i=0; $i < count( $icons_v2['select_social_media_v2'] ); $i++ ) {
										$social_icon_v2 = ( isset( $icons_v2['select_social_media_v2'][$i] ) && !empty( $icons_v2['select_social_media_v2'][$i] ) ) ? $icons_v2['select_social_media_v2'][$i] : '';
										$social_link_v2 = ( isset( $icons_v2['link_social_media_v2'][$i] ) && !empty( $icons_v2['link_social_media_v2'][$i] ) ) ? $icons_v2['link_social_media_v2'][$i] : '';
										$social_title_v2 = ( isset( $icons_v2['title_social_media_v2'][$i] ) && !empty( $icons_v2['title_social_media_v2'][$i] ) ) ? $icons_v2['title_social_media_v2'][$i] : '';
									?>
                                    <li>
                                        <div class="icon-box">
                                            <a class="icon-box1" href="<?php echo esc_url($social_link_v2); ?>">
                                                <span class="fab <?php echo esc_attr(str_replace("fab ", " ", $social_icon_v2)); ?>"></span>
                                            </a>
                                        </div>
                                        <div class="title-box">
                                            <h5><?php echo wp_kses($social_title_v2, true); ?></h5>
                                            <p>
                                                <a href="<?php echo esc_url($social_link_v2); ?>">
                                                    <?php echo esc_url($social_link_v2); ?>
                                                </a>
                                            </p>
                                        </div>
                                    </li>
                                    <?php } ?>
                                </ul>
                            </div>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <!--End Footer Main-->
		<?php } ?>
        
        <!--Start Footer Bottom-->
        <div class="footer-style4__bottom">
            <div class="container">
                <div class="bottom-inner text-center">                    
                    <div class="footer-menu-style4">
                        <ul>
                        <?php wp_nav_menu( array( 'theme_location' => 'footer_menu', 'container_id' => 'navbar-collapse-1',
							'container_class'=>'navbar-collapse collapse navbar-right',
							'menu_class'=>'nav navbar-nav',
							'fallback_cb'=>false,
							'items_wrap' => '%3$s',
							'container'=>false,
							'depth'=>'1',
							'walker'=> new Bootstrap_walker()
						)); ?>
                        </ul>
                    </div>
                    
                    <div class="copyright-text-style3 copyright-text-style--2">
                        <?php if($options->get('show_footer_privacy_menu_v4')){ ?>
                        <ul>
                            <?php echo wp_kses($options->get('footer_privacy_menu_v4'), true); ?>
                        </ul>
                        <?php } ?>
                        
						<?php if($options->get('footer_copyright_text_v4')){ ?>
                        <p><?php echo wp_kses($options->get('footer_copyright_text_v4'), true); ?></p>
                        <?php } ?>
                    </div>

                </div>
            </div>
        </div>
        <!--End Footer Bottom-->

    </footer>
    <!--End footer Style1-->
       