<?php
$options = thinkai_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Header V2 Logo Settings
$header_v2_logo = $options->get( 'header_v2_logo' );
$header_v2_logo_dimension = $options->get( 'header_v2_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>

<div class="body-bg-2">
	
    <?php if( $options->get( 'theme_preloader' ) ){ ?>
    <!-- Preloader -->
    <div class="loader-wrap">
        <div class="preloader">
            <div id="handle-preloader" class="handle-preloader">
                <div class="layer layer-one">
                    <span class="overlay"></span>
                </div>
                <div class="layer layer-three">
                    <span class="overlay"></span>
                </div>
                <div class="layer layer-two">
                    <span class="overlay"></span>
                </div>
                <div class="animation-preloader">
                    <div class="spinner"></div>
                </div>
            </div>
        </div>
    </div>
    <!-- Preloader End -->
	<?php } ?>
    
    <?php if( $options->get( 'mouse_cursor' ) ){ ?>
    <!-- Cursor -->
    <div class="cursor"></div>
    <div class="cursor-follower"></div>
    <!-- Cursor End -->
	<?php } ?>
    
    <?php get_template_part('templates/header/sidebar_settings'); ?>
    
    <?php get_template_part('templates/header/mobile_settings'); ?>
    
    <?php if($options->get('show_seach_form_v2')){ ?>
    <!--Start Search Popup -->
    <div class="search-popup">
        <div class="search-popup__overlay search-toggler">
            <div class="search-popup__close-btn">
                <span class="icon-close-1"></span>
            </div>
        </div>
        <div class="search-popup__content">
            <?php get_template_part('searchform1'); ?>
        </div>
    </div>
    <!--End Search Popup -->
    <?php } ?>

    <div class="page-wrapper boxed_wrapper">
        <header class="main-header main-header-style2">

            <!--Start Main Menu Style1-->
            <nav class="main-menu main-menu-style2">
                <div class="main-menu__wrapper clearfix">
                    <div class="container">
                        <div class="main-menu__wrapper-inner">

                            <div class="main-menu-style2__left">
                                <div class="logo-box-style1">
                                    <?php echo thinkai_logo( $logo_type, $header_v2_logo, $header_v2_logo_dimension, $logo_text, $logo_typography ); ?>
                                </div>
                            </div>

                            <div class="main-menu-style2__right">

                                <div class="main-menu-box">
                                    <a href="#" class="mobile-nav__toggler">
                                        <i class="fa fa-bars"></i>
                                    </a>
                                    <ul class="main-menu__list">
									<?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
										'container_class'=>'navbar-collapse collapse navbar-right',
										'menu_class'=>'nav navbar-nav',
										'fallback_cb'=>false,
										'items_wrap' => '%3$s',
										'container'=>false,
										'depth'=>'3',
										'walker'=> new Bootstrap_walker()
									)); ?>
                                    </ul>
                                </div>
								
                                <?php if($options->get('show_account_btn_v2')){ ?>
                                <div class="header-btn-style1">
                                    <a class="btn-one" href="<?php echo esc_url($options->get('account_btn_link_v2')); ?>">
                                        <span class="txt"><i class="icon-invite"></i><?php echo wp_kses($options->get('account_btn_title_v2'), true); ?></span>
                                    </a>
                                </div>
                                <?php } ?>
                                
                                <?php if($options->get('show_seach_form_v2')){ ?>
                                <div class="box-search-style1">
                                    <a href="#" class="search-toggler">
                                        <span class="icon-loupe"></span>
                                    </a>
                                </div>
                                <?php } ?>
                            </div>

                        </div>
                    </div>
                </div>
            </nav>
            <!--End Main Menu Style1-->
        </header>

        <div class="stricky-header stricky-header--style2 stricked-menu main-menu">
            <div class="sticky-header__content"></div>
            <!-- /.sticky-header__content -->
        </div>
        <!-- /.stricky-header -->
