<?php
$options = thinkai_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Mian Logo Settings
$mobile_logo = $options->get( 'mobile_logo' );
$mobile_logo_dimension = $options->get( 'mobile_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>

	<div class="mobile-nav__wrapper">
        <div class="mobile-nav__overlay mobile-nav__toggler"></div>
        <div class="mobile-nav__content">
            <span class="mobile-nav__close mobile-nav__toggler">
                <i class="fa fa-times-circle"></i>
            </span>
            <div class="logo-box">
                <?php if( $options->get( 'mobile_logo_show' ) ):?>
					<?php echo thinkai_logo( $logo_type, $mobile_logo, $mobile_logo_dimension, $logo_text, $logo_typography ); ?>
                <?php else:?>
                	<a href="<?php echo esc_url( home_url( '/' ) );?>" aria-label="logo image"><img src="<?php echo esc_url( get_template_directory_uri() );?>/assets/images/resources/mobile-nav-logo.png"  alt="<?php bloginfo( 'name' ); ?>"></a>
                <?php endif;?>
            </div>
            
			<?php if( $options->get( 'show_mobile_search_form_v1' )){ ?>
            <div class="mobile-nav-search-box">
                <?php get_template_part('searchform2'); ?>
            </div>
            <?php } ?>
            
            <div class="mobile-nav__container"></div>
            
            <?php if( $options->get( 'show_mobile_info_v1' )){ ?>
            <ul class="mobile-nav__contact list-unstyled">
                <?php if($options->get('mobile_email_address_v1')){ ?>
                <li>
                    <i class="fa fa-envelope"></i>
                    <a href="mailto:<?php echo esc_attr($options->get('mobile_email_address_v1')); ?>"><?php echo wp_kses($options->get('mobile_email_address_v1'), true); ?></a>
                </li>
                <?php } ?>
                <?php if($options->get('mobile_phone_no_v1')){ ?>
                <li>
                    <i class="fa fa-phone-alt"></i>
                    <a href="tel:<?php echo esc_attr($options->get('mobile_phone_no_v1')); ?>"><?php echo wp_kses($options->get('mobile_phone_no_v1'), true); ?></a>
                </li>
                <?php } ?>
            </ul>
            <?php } ?>
            
			<?php if( $options->get( 'show_mob_social_icon' )){ ?>
            <ul class="mobile-nav__social">
                <?php echo (thinkai_get_social_icon()); ?>
            </ul>
            <?php } ?>
        </div>
    </div>
        
    
