<?php
$options = thinkai_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Sidebar Info Logo Settings
$sidebar_logo = $options->get( 'sidebar_logo' );
$sidebar_logo_dimension = $options->get( 'sidebar_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>

	<!-- Start sidebar widget content -->
    <div class="xs-sidebar-group info-group info-sidebar">
        <div class="xs-overlay xs-bg-black"></div>
        <div class="xs-sidebar-widget">
            <div class="sidebar-widget-container">
                <div class="widget-heading">
                    <a href="#" class="close-side-widget"><?php esc_html_e('X','thinkai'); ?></a>
                </div>
                <div class="sidebar-textwidget">
                    <div class="sidebar-info-contents">
                        <div class="content-inner">
                            <div class="logo">
                                <?php echo thinkai_logo( $logo_type, $sidebar_logo, $sidebar_logo_dimension, $logo_text, $logo_typography ); ?>
                            </div>
                            
                            <div class="content-box">
                                <h3><?php echo wp_kses($options->get('sidebar_title_v1'), true); ?></h3>
                                <div class="inner-text">
                                    <p>
                                        <?php echo wp_kses($options->get('sidebar_text_v1'), true); ?>
                                    </p>
                                </div>
                            </div>
                            
							<?php if( $options->get( 'show_sidebar_info_v1' )){ ?>
                            <div class="sidebar-contact-info">
                                <h3><?php echo wp_kses($options->get('sidebar_info_title_v1'), true); ?></h3>
                                <ul>
                                    <?php if($options->get('sidebar_address_v1')){ ?>
                                    <li>
                                        <div class="inner">
                                            <div class="text">
                                                <p><?php echo wp_kses($options->get('sidebar_address_v1'), true); ?></p>
                                            </div>
                                        </div>
                                    </li>
                                    <?php } ?>
                                    <?php if($options->get('sidebar_email_address_v1')){ ?>
                                    <li>
                                        <div class="inner">
                                            <div class="text">
                                                <p><a href="mailto:<?php echo esc_attr($options->get('sidebar_email_address_v1')); ?>"><?php echo wp_kses($options->get('sidebar_email_address_v1'), true); ?></a></p>
                                            </div>
                                        </div>
                                    </li>
                                    <?php } ?>
                                    <?php if($options->get('sidebar_phone_no_v1')){ ?>
                                    <li>
                                        <div class="inner">
                                            <div class="text">
                                                <p><a href="tel:<?php echo esc_attr($options->get('sidebar_phone_no_v1')); ?>"><?php echo wp_kses($options->get('sidebar_phone_no_v1'), true); ?></a></p>
                                            </div>
                                        </div>
                                    </li>
                                    <?php } ?>
                                    <?php if($options->get('sidebar_working_hours_v1')){ ?>
                                    <li>
                                        <div class="inner">
                                            <div class="text">
                                                <p><?php echo wp_kses($options->get('sidebar_working_hours_v1'), true); ?></p>
                                            </div>
                                        </div>
                                    </li>
                                    <?php } ?>
                                </ul>
                            </div>
							<?php } ?>
                            
                            <?php if($options->get('sidebar_mailchimp_form_v1')){ ?>
                            <div class="side-content-newsletter-box">
                                <h3><?php echo wp_kses($options->get('mailchimp_form_title'), true); ?></h3>
                                <?php echo do_shortcode($options->get('mailchimp_form_url')); ?>
                            </div>
							<?php } ?>
                            
							<?php
								if( $options->get( 'show_sidebar_social_icon' )){
							?>
                            <div class="thm-social-link">
                                <ul class="clearfix">
                                    <?php echo (thinkai_get_social_icon()); ?>
                                </ul>
                            </div>
							<?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End sidebar widget content -->
    
    
