<?php
/**
 * The Template for displaying all single products.
 *
 * Override this template by copying it to yourtheme/woocommerce/single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.6.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
get_header( 'shop' );
$data    = \THINKAI\Includes\Classes\Common::instance()->data( 'single' )->get();

$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$layout = ( $layout ) ? $layout : 'full';
$sidebar = ( $sidebar ) ? $sidebar : '';
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xl-12 col-lg-12 col-md-12' : 'col-xl-12 col-lg-12 col-md-12';

if ( class_exists( '\Elementor\Plugin' ) && $data->get( 'tpl-type' ) == 'e') {
	
	while(have_posts()) {
	   the_post();
	   the_content();
    }

} else {
?>

<?php if ( class_exists( '\Elementor\Plugin' )):?>
	<?php do_action( 'thinkai_banner', $data );?>
<?php else:?>
<!--Start breadcrumb Style1-->
<section class="breadcrumb-style1">
    <div id="particles-js"></div>
    <?php if( $data->get( 'banner' ) ){?><div class="breadcrumb-style1-bg" style="background-image: url(<?php echo esc_url( $data->get( 'banner' ) ); ?>);"></div><?php } ?>
    
    <!--Start Scrolling Text Style6-->
    <?php 
        $features_list = $data->get('features_list');
        if(!empty($features_list)){
        $features_list = explode("\n", ($features_list)); 
    ?>        
    <div class="scrolling-text-style6">
        <div class="inner">
            <ul class="clearfix marquee_mode">
                <?php foreach($features_list as $features): ?>
                <li data-hover="<?php echo wp_kses($features, true); ?>">
                    <?php echo wp_kses($features, true); ?>
                </li>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
    <?php } ?>
    
    <!--End Scrolling Text Style6-->
    <div class="container">
        <div class="inner-content">
            <div class="title text-center">
                <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title() ); ?></h2>
            </div>
        </div>
    </div>
</section>
<!--End breadcrumb Style1-->
<?php endif;?>

<!--Start Product Details-->
<section class="product-details te-shop__detail">
    <div class="container">
        <div class="row">	
            <!-- sidebar area -->
            <?php
                if ( $data->get( 'layout' ) == 'left' ) {
                    do_action( 'thinkai_sidebar', $data );
                    
                    /**
                     * woocommerce_sidebar hook
                     *
                     * @hooked woocommerce_get_sidebar - 10
                     */
                    do_action( 'woocommerce_sidebar' );
                }
            ?>                
            <div class="<?php echo esc_attr($class);?>">
                <?php
                    /**
                     * woocommerce_before_main_content hook
                     *
                     * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
                     * @hooked woocommerce_breadcrumb - 20
                     */
                    do_action( 'woocommerce_before_main_content' );
                ?>
                    <?php while ( have_posts() ) : the_post(); ?>
                        <?php wc_get_template_part( 'content', 'single-product' ); ?>
                    <?php endwhile; // end of the loop. ?>
                <?php
                    /**
                     * woocommerce_after_main_content hook
                     *
                     * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
                     */
                    do_action( 'woocommerce_after_main_content' );
                ?>                    
            </div>            
            <!-- sidebar area -->
            <?php
                if ( $data->get( 'layout' ) == 'right' ) {
                    do_action( 'thinkai_sidebar', $data );
                    
                    /**
                     * woocommerce_sidebar hook
                     *
                     * @hooked woocommerce_get_sidebar - 10
                     */
                    do_action( 'woocommerce_sidebar' );
                }
            ?>			
        </div>
	</div>
</section>

<?php
}
get_footer( 'shop' );
